org.wildfly.swarm.config

## Class Webservices<T extends Webservices<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.Webservices<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map
  Direct Known Subclasses:
    WebServicesFraction

      public class Webservices<T extends Webservices<T>>
      extends HashMap

  The configuration of the web services subsystem.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Webservices.WebservicesResources` Child mutators for Webservices
    `static class` | `Webservices.WsdlUriScheme`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Webservices()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `clientConfig(ClientConfig value)` Add the ClientConfig object to the list of subresources
    `T` | `clientConfig(ClientConfigSupplier supplier)` Install a supplied ClientConfig object to the list of subresources
    `T` | `clientConfig(String childKey)` Create and configure a ClientConfig object to the list of subresources
    `T` | `clientConfig(String childKey, ClientConfigConsumer consumer)` Create and configure a ClientConfig object to the list of subresources
    `T` | `clientConfigs(List<ClientConfig> value)` Add all ClientConfig objects to this subresource
    `T` | `endpointConfig(EndpointConfig value)` Add the EndpointConfig object to the list of subresources
    `T` | `endpointConfig(EndpointConfigSupplier supplier)` Install a supplied EndpointConfig object to the list of subresources
    `T` | `endpointConfig(String childKey)` Create and configure a EndpointConfig object to the list of subresources
    `T` | `endpointConfig(String childKey, EndpointConfigConsumer consumer)` Create and configure a EndpointConfig object to the list of subresources
    `T` | `endpointConfigs(List<EndpointConfig> value)` Add all EndpointConfig objects to this subresource
    `String` | `getKey()`
    `Boolean` | `modifyWsdlAddress()` Whether the soap address can be modified.
    `T` | `modifyWsdlAddress(Boolean value)` Whether the soap address can be modified.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `statisticsEnabled()` Whether statistics are to be gathered for endpoints, default value is 'false'.
    `T` | `statisticsEnabled(Boolean value)` Whether statistics are to be gathered for endpoints, default value is 'false'.
    `Webservices.WebservicesResources` | `subresources()`
    `String` | `wsdlHost()` The WSDL, that is a required deployment artifact for an endpoint, has a element which points to the location of the endpoint.
    `T` | `wsdlHost(String value)` The WSDL, that is a required deployment artifact for an endpoint, has a element which points to the location of the endpoint.
    `String` | `wsdlPathRewriteRule()` This string defines a SED substitution command (e.g., 's/regexp/replacement/g') that JBossWS executes against the path component of each URL published from the server.
    `T` | `wsdlPathRewriteRule(String value)` This string defines a SED substitution command (e.g., 's/regexp/replacement/g') that JBossWS executes against the path component of each URL published from the server.
    `Integer` | `wsdlPort()` The non-secure port that will be used for rewriting the SOAP address.
    `T` | `wsdlPort(Integer value)` The non-secure port that will be used for rewriting the SOAP address.
    `Integer` | `wsdlSecurePort()` The secure port that will be used for rewriting the SOAP address.
    `T` | `wsdlSecurePort(Integer value)` The secure port that will be used for rewriting the SOAP address.
    `Webservices.WsdlUriScheme` | `wsdlUriScheme()` The URI scheme to use for rewriting .
    `T` | `wsdlUriScheme(Webservices.WsdlUriScheme value)` The URI scheme to use for rewriting .

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Webservices

          public Webservices()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Webservices.WebservicesResources subresources()

    - #### clientConfigs

          public T clientConfigs(List<ClientConfig> value)

      Add all ClientConfig objects to this subresource
      Parameters:
        `value` - List of ClientConfig objects.
      Returns:
        this

    - #### clientConfig

          public T clientConfig(ClientConfig value)

      Add the ClientConfig object to the list of subresources
      Parameters:
        `value` - The ClientConfig to add
      Returns:
        this

    - #### clientConfig

          public T clientConfig(String childKey,
                                ClientConfigConsumer consumer)

      Create and configure a ClientConfig object to the list of subresources
      Parameters:
        `key` - The key for the ClientConfig resource
        `config` - The ClientConfigConsumer to use
      Returns:
        this

    - #### clientConfig

          public T clientConfig(String childKey)

      Create and configure a ClientConfig object to the list of subresources
      Parameters:
        `key` - The key for the ClientConfig resource
      Returns:
        this

    - #### clientConfig

          public T clientConfig(ClientConfigSupplier supplier)

      Install a supplied ClientConfig object to the list of subresources

    - #### endpointConfigs

          public T endpointConfigs(List<EndpointConfig> value)

      Add all EndpointConfig objects to this subresource
      Parameters:
        `value` - List of EndpointConfig objects.
      Returns:
        this

    - #### endpointConfig

          public T endpointConfig(EndpointConfig value)

      Add the EndpointConfig object to the list of subresources
      Parameters:
        `value` - The EndpointConfig to add
      Returns:
        this

    - #### endpointConfig

          public T endpointConfig(String childKey,
                                  EndpointConfigConsumer consumer)

      Create and configure a EndpointConfig object to the list of subresources
      Parameters:
        `key` - The key for the EndpointConfig resource
        `config` - The EndpointConfigConsumer to use
      Returns:
        this

    - #### endpointConfig

          public T endpointConfig(String childKey)

      Create and configure a EndpointConfig object to the list of subresources
      Parameters:
        `key` - The key for the EndpointConfig resource
      Returns:
        this

    - #### endpointConfig

          public T endpointConfig(EndpointConfigSupplier supplier)

      Install a supplied EndpointConfig object to the list of subresources

    - #### modifyWsdlAddress

          public Boolean modifyWsdlAddress()

      Whether the soap address can be modified.

    - #### modifyWsdlAddress

          public T modifyWsdlAddress(Boolean value)

      Whether the soap address can be modified.

    - #### statisticsEnabled

          public Boolean statisticsEnabled()

      Whether statistics are to be gathered for endpoints, default value is 'false'.

    - #### statisticsEnabled

          public T statisticsEnabled(Boolean value)

      Whether statistics are to be gathered for endpoints, default value is 'false'.

    - #### wsdlHost

          public String wsdlHost()

      The WSDL, that is a required deployment artifact for an endpoint, has a element which points to the location of the endpoint. JBoss supports rewriting of that SOAP address. If the content of is a valid URL, JBossWS will not rewrite it unless 'modify-wsdl-address' is true. If the content of is not a valid URL, JBossWS will rewrite it using the attribute values given below. If 'wsdl-host' is set to 'jbossws.undefined.host', JBossWS uses requesters host when rewriting the

    - #### wsdlHost

          public T wsdlHost(String value)

      The WSDL, that is a required deployment artifact for an endpoint, has a element which points to the location of the endpoint. JBoss supports rewriting of that SOAP address. If the content of is a valid URL, JBossWS will not rewrite it unless 'modify-wsdl-address' is true. If the content of is not a valid URL, JBossWS will rewrite it using the attribute values given below. If 'wsdl-host' is set to 'jbossws.undefined.host', JBossWS uses requesters host when rewriting the

    - #### wsdlPathRewriteRule

          public String wsdlPathRewriteRule()

      This string defines a SED substitution command (e.g., 's/regexp/replacement/g') that JBossWS executes against the path component of each URL published from the server. When wsdl-path-rewrite-rule is not defined, JBossWS retains the original path component of each URL. When 'modify-wsdl-address' is set to "false" this element is ignored.

    - #### wsdlPathRewriteRule

          public T wsdlPathRewriteRule(String value)

      This string defines a SED substitution command (e.g., 's/regexp/replacement/g') that JBossWS executes against the path component of each URL published from the server. When wsdl-path-rewrite-rule is not defined, JBossWS retains the original path component of each URL. When 'modify-wsdl-address' is set to "false" this element is ignored.

    - #### wsdlPort

          public Integer wsdlPort()

      The non-secure port that will be used for rewriting the SOAP address. If absent the port will be identified by querying the list of installed connectors.

    - #### wsdlPort

          public T wsdlPort(Integer value)

      The non-secure port that will be used for rewriting the SOAP address. If absent the port will be identified by querying the list of installed connectors.

    - #### wsdlSecurePort

          public Integer wsdlSecurePort()

      The secure port that will be used for rewriting the SOAP address. If absent the port will be identified by querying the list of installed connectors.

    - #### wsdlSecurePort

          public T wsdlSecurePort(Integer value)

      The secure port that will be used for rewriting the SOAP address. If absent the port will be identified by querying the list of installed connectors.

    - #### wsdlUriScheme

          public Webservices.WsdlUriScheme wsdlUriScheme()

      The URI scheme to use for rewriting . Valid values are 'http' and 'https'. This configuration overrides scheme computed by processing the endpoint (even if a transport guarantee is specified). The provided values for 'wsdl-port' and 'wsdl-secure-port' (or their default values) are used depending on specified scheme.

    - #### wsdlUriScheme

          public T wsdlUriScheme(Webservices.WsdlUriScheme value)

      The URI scheme to use for rewriting . Valid values are 'http' and 'https'. This configuration overrides scheme computed by processing the endpoint (even if a transport guarantee is specified). The provided values for 'wsdl-port' and 'wsdl-secure-port' (or their default values) are used depending on specified scheme.

Copyright © 2018 JBoss by Red Hat. All rights reserved.